#ifndef MYSCOREPARAMETERIKSATION_HH
#define MYSCOREPARAMETERIKSATION_HH

#include "G4VPVParameterisation.hh"


class MyScoreParameterisation : public G4VPVParameterisation {

public:
  
  // Constructor
   MyScoreParameterisation(const G4double, const G4double, const G4int);
  
  // Destructor
  virtual ~MyScoreParameterisation();
  
  // ComputeDimensions
  virtual  void ComputeDimensions(G4Sphere &, 
                                  const G4int, 
       				  const G4VPhysicalVolume *) const; 
  // ComputeTransformation
  void ComputeTransformation(const G4int, G4VPhysicalVolume*)const {}; 

private: 

  // Override to get rid of warning messages

  void ComputeDimensions (G4Tubs&,const G4int,const G4VPhysicalVolume*) const {}
  void ComputeDimensions (G4Trd&,const G4int,const G4VPhysicalVolume*)  const {}
  void ComputeDimensions (G4Trap&,const G4int,const G4VPhysicalVolume*) const {}
  void ComputeDimensions (G4Cons&,const G4int,const G4VPhysicalVolume*) const {}
  void ComputeDimensions (G4Orb&,const G4int,const G4VPhysicalVolume*)  const {}
  void ComputeDimensions (G4Torus&,const G4int,const G4VPhysicalVolume*)const {}
  void ComputeDimensions (G4Para&,const G4int,const G4VPhysicalVolume*) const {}
  void ComputeDimensions (G4Hype&,const G4int,const G4VPhysicalVolume*) const {}
  void ComputeDimensions (G4Box&,const G4int,const G4VPhysicalVolume*)  const {}
  void ComputeDimensions (G4Polycone&,const G4int,const G4VPhysicalVolume*) const {}
  void ComputeDimensions (G4Polyhedra&,const G4int,const G4VPhysicalVolume*) const {}

private:
  G4double   finnerRadius;
  G4double   fouterRadius;
  G4int      fnRings;
};
#endif

